using System.ComponentModel;
using System.Xml.Serialization;

namespace EQIA.EQIDL
{
    public partial class Editbox : Control
    {
        private bool myStyle_Multiline;

        [XmlElement("Style_Multiline", IsNullable = false)]
        [Browsable(true), Description("This editbox can contain multiple lines of text")]
        public bool Style_Multiline { get { return myStyle_Multiline; } set { myStyle_Multiline = value; } }

        public Editbox() : this(null) { }
        public Editbox(EQInterface eqInterface) : base(eqInterface) { }

        protected override void SetProperties(object obj)
        {
            base.SetProperties(obj);

            Editbox temp_Editbox = obj as Editbox;
            if (temp_Editbox != null)
                myStyle_Multiline = temp_Editbox.Style_Multiline;
        }
    }
}
